unit projection;

interface

uses
  Classes,
  ancetre;

const

// liste des diffrents type de projection avec le nom correspondant
  tpLambertConique='Lambert Conique';
  tpLambertConiqueSecant='Lambert Conique Scant';
  tpLambertConiqueTangent='Lambert Conique Tangent';
  tpTransverseMercatorBrut='Transverse Mercator Brut'; // Gauss-Krger
  tpTransverseMercator='Transverse Mercator'; // cas Gauss-Krger
  tpUTM='UTM Fuseau';
  tpMTM='MTM Fuseau';
  tpGaussLaborde='Gauss Laborde';
  tpGaussLabordeCourbure='Gauss Laborde Courbure';
  tpGaussLabordeEquatoriale='Gauss Laborde Equatoriale';
  tpGaussLabordeBitangente='Gauss Laborde Bitangente';
  tpGaussLabordeOblique='Gauss Laborde Oblique';
  tpGaussLabordeObliqueCourbure='Gauss Laborde Courbure Oblique';
  tpGaussLabordeObliqueEquatoriale='Gauss Laborde Equatoriale Oblique';
  tpGaussLabordeObliqueBitangente='Gauss Laborde Bitangente Oblique';
  tpGaussRosenmund='Gauss Rosenmund'; // Suisse
  tpHotine='Hotine'; // souvent appele Martacor Oblique
  tpGaussColle='Gauss Cole'; // Italie?
  tpGaussSchreiber='Gauss Schreiber';
  tpStereographic='Strographique';
  tpStereographicCourbure='Strographique Courbure';
  tpStereographicEquatoriale='Strographique Equatoriale';
  tpStereographicBitangente='Strographique Bitangente';
  tpStereographicPolaire='Strographique Polaire';
  tpNewZealandMapGrid='New Zealand Map Grid'; // Nouvelle Zlande
  tpBonne='Bonne'; 

type

// projection simple gnrique, toute projection simple doit driver de
// TProjection

  TProjection = class(TAncetre)
  protected
  public
    procedure VersGrille(Lat, Long : real; var X, Y : real); virtual; abstract;
    procedure VersLatLong(X, Y : real; var Lat, Long : real); virtual; abstract;
  end;



implementation

end.
